Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class XPathParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xml.xpath.XPathException
                  com.novell.xml.xpath.XPathParserException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PatternParserException

    public class XPathParserException

extends XPathException

Class for exceptions thrown from the XPath parser.

See Also:
  Serialized Form

Field Summary
`static String` | `AXIS_NAME_EXPECTED`
`static String` | `EXTRA_TOKENS`
`static String` | `FUNCTION_NOT_FOUND`
`static String` | `MISSING_EXPRESSION`
`static String` | `NAMESPACE_NOT_RESOLVED`
`static String` | `NODE_TEST_EXPECTED`
`static String` | `PRIMARY_EXPR_EXPECTED`
`static String` | `TOKEN_EXPECTED`
`static String` | `TOKEN_UNEXPECTED`
`static String` | `TOO_FEW_PARAMS`
`static String` | `TOO_MANY_PARAMS`
`static String` | `VAR_NAME_EXPECTED`
`static String` | `VARIABLE_NOT_FOUND`
`static String` | `WRONG_PARAM_TYPE`

Constructor Summary
`XPathParserException(String key)` Construct an XPathParserException with the message specified by the key.
`XPathParserException(String key, char parm)` Construct an XPathParserException with the parameterized message specified by the key and single char parameter.
`XPathParserException(String key, String parm)` Construct an XPathParserException with the parameterized message specified by the key and parameter.
`XPathParserException(String key, String[] parms)` Construct an XPathParserException with the parameterized message specified by the key and parameter list.

Method Summary

Methods inherited from class com.novell.xml.xpath.XPathException
`getString, getString, getString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AXIS_NAME_EXPECTED

    public static final String AXIS_NAME_EXPECTED

See Also:
  Constant Field Values

### VAR_NAME_EXPECTED

    public static final String VAR_NAME_EXPECTED

See Also:
  Constant Field Values

### TOKEN_UNEXPECTED

    public static final String TOKEN_UNEXPECTED

See Also:
  Constant Field Values

### TOKEN_EXPECTED

    public static final String TOKEN_EXPECTED

See Also:
  Constant Field Values

### EXTRA_TOKENS

    public static final String EXTRA_TOKENS

See Also:
  Constant Field Values

### MISSING_EXPRESSION

    public static final String MISSING_EXPRESSION

See Also:
  Constant Field Values

### PRIMARY_EXPR_EXPECTED

    public static final String PRIMARY_EXPR_EXPECTED

See Also:
  Constant Field Values

### NODE_TEST_EXPECTED

    public static final String NODE_TEST_EXPECTED

See Also:
  Constant Field Values

### TOO_FEW_PARAMS

    public static final String TOO_FEW_PARAMS

See Also:
  Constant Field Values

### TOO_MANY_PARAMS

    public static final String TOO_MANY_PARAMS

See Also:
  Constant Field Values

### WRONG_PARAM_TYPE

    public static final String WRONG_PARAM_TYPE

See Also:
  Constant Field Values

### FUNCTION_NOT_FOUND

    public static final String FUNCTION_NOT_FOUND

See Also:
  Constant Field Values

### NAMESPACE_NOT_RESOLVED

    public static final String NAMESPACE_NOT_RESOLVED

See Also:
  Constant Field Values

### VARIABLE_NOT_FOUND

    public static final String VARIABLE_NOT_FOUND

See Also:
  Constant Field Values

Constructor Detail

### XPathParserException

    public XPathParserException(String key)

  Construct an XPathParserException with the message specified by the key.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.

### XPathParserException

    public XPathParserException(String key,
                                String parm)

  Construct an XPathParserException with the parameterized message specified by the key and parameter.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.
    `parm` - The replacement string for the replacement token in the string reference by key. Replacement tokens are of the form "%n" where n is a string of decimal digits.

### XPathParserException

    public XPathParserException(String key,
                                String[] parms)

  Construct an XPathParserException with the parameterized message specified by the key and parameter list.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.
    `parms` - The list of replacement strings for replacement tokens in the string reference by key. Replacement tokens are of the form "%n" where n is a string of decimal digits.

### XPathParserException

    public XPathParserException(String key,
                                char parm)

  Construct an XPathParserException with the parameterized message specified by the key and single char parameter.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.
    `parm` - The replacement parameter character string reference by key. Replacement tokens are of the form "%n" where n is a string of decimal digits.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD